Package net.snowflake.client.core

## Class FileUtil

- java.lang.Object
- - net.snowflake.client.core.FileUtil

    @SnowflakeJdbcInternalApi
    public class FileUtil
    extends Object

### Constructor Summary

Constructors
`FileUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `logFileUsage​(File file, String context, boolean logReadAccess)`
`static void` `logFileUsage​(String stringPath, String context, boolean logReadAccess)`
`static void` `logFileUsage​(Path filePath, String context, boolean logReadAccess)`
`static void` `throwWhenOwnerDifferentThanCurrentUser​(File file, String context)`
`static void` `throwWhenPermiossionDifferentThanReadWriteForOwner​(File file, String context)`
`static void` `throwWhenPermiossionDifferentThanReadWriteForOwner​(Path filePath, String context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUtil

    public FileUtil()

### Method Detail

#### logFileUsage

    public static void logFileUsage​(Path filePath,
                                    String context,
                                    boolean logReadAccess)

#### logFileUsage

    public static void logFileUsage​(File file,
                                    String context,
                                    boolean logReadAccess)

#### logFileUsage

    public static void logFileUsage​(String stringPath,
                                    String context,
                                    boolean logReadAccess)

#### throwWhenPermiossionDifferentThanReadWriteForOwner

    public static void throwWhenPermiossionDifferentThanReadWriteForOwner​(File file,
                                                                          String context)

#### throwWhenPermiossionDifferentThanReadWriteForOwner

    public static void throwWhenPermiossionDifferentThanReadWriteForOwner​(Path filePath,
                                                                          String context)

#### throwWhenOwnerDifferentThanCurrentUser

    public static void throwWhenOwnerDifferentThanCurrentUser​(File file,
                                                              String context)